Bug 144695 - CAN-2005-0069 vim unsafe temporary file usage.
CAN-2005-0069 vim unsafe temporary file usage.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vim (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Josh Bressers
David Lawrence
impact=low,public=20050109
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-10 14:10 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-18 10:22:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-01-10 14:10:15 EST
Two insecure temporary file vulns have been reported to the debian BTS.
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=289560

The issues refer to the usage of temporary files using the process PID as the
"randomness".  I would not be surprised if this isn't the only scripts in vim
that do this.
Comment 1 Josh Bressers 2005-01-10 14:13:04 EST
This issue should also affect RHEL2.1
Comment 4 Karsten Hopp 2005-01-11 08:23:42 EST
vim-6.3.046-0.30E.2 is the fixed version for RHEL-3
vim-6.3.046-0.40E.2       "  "               RHEL-4
vim-6.0-7.20              "  "               AS-2.1
Comment 6 Josh Bressers 2005-02-18 10:22:25 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-122.html

Note You need to log in before you can comment on or make changes to this bug.